Bug 174838 - authconfig --kickstart doesn't configure kerberos correctly
authconfig --kickstart doesn't configure kerberos correctly
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: authconfig (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-02 12:18 EST by Bill Nottingham
Modified: 2014-03-16 22:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: authconfig-5.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-05 11:53:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
original krb5.conf (657 bytes, text/plain)
2005-12-02 12:18 EST, Bill Nottingham
no flags Details
configured krb5.conf (657 bytes, text/plain)
2005-12-02 12:19 EST, Bill Nottingham
no flags Details

  None (edit)
Description Bill Nottingham 2005-12-02 12:18:43 EST
I ran:

authconfig-tui --kickstart --useshadow  --enablemd5  --ldapserver 172.16.58.1
--ldapbasedn dc=devel,dc=redhat,dc=com --enablekrb5 --krb5realm REDHAT.COM
--krb5kdc kerberos.corp.redhat.com --krb5adminserver kerberos.corp.redhat.com
--enablehesiod --hesiodlhs .hs --hesiodrhs .devel.redhat.com --enablekrb5realmdns

on a clean system. Kerberos was configured incorrectly.

authconfig-5.0.3-1
Comment 1 Bill Nottingham 2005-12-02 12:18:43 EST
Created attachment 121766 [details]
original krb5.conf
Comment 2 Bill Nottingham 2005-12-02 12:19:54 EST
Created attachment 121767 [details]
configured krb5.conf

Here's what authconfig wrote. Notably, there's no configuration for the
REDHAT.COM realm.
Comment 3 Tomas Mraz 2005-12-05 11:53:02 EST
The krb5realm option was silently ignored. Fixed, thanks for the report.

Note You need to log in before you can comment on or make changes to this bug.